Export scan log of given scan id
curl --request GET \
--url https://api.projectdiscovery.io/v1/scans/{scan_id}/scan_log/export \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.projectdiscovery.io/v1/scans/{scan_id}/scan_log/export"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.projectdiscovery.io/v1/scans/{scan_id}/scan_log/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>"
}{
"export_id": "<string>"
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}Export & Logs
Export scan log of given scan id
GET
/
v1
/
scans
/
{scan_id}
/
scan_log
/
export
Export scan log of given scan id
Authorizations
Headers
Retrieve the Team ID from: https://cloud.projectdiscovery.io/settings/team
Path Parameters
Query Parameters
target to search in log
template to search in log
status to search in log
time to filter the logs
string to search in error, target and template
error to search in log
format of the log file
Available options:
raw, json, csv Available options:
error, info, all_logs Response
OK
Was this page helpful?
⌘I